%define anolis_release 1

Name:           python-gast
Version:        0.4.0
Release:        %{anolis_release}%{?dist}
Summary:        Python AST that abstracts the underlying Python version
License:        BSD
URL:            https://github.com/serge-sans-paille/gast/
Source0:        %{url}/archive/%{version}/gast-%{version}.tar.gz
Patch1:         0001-Support-AST-change-for-3.10.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
A generic AST to represent Python2 and Python3's Abstract Syntax Tree (AST).
GAST provides a compatibility layer between the AST of various Python versions,
as produced by ast.parse from the standard ast module.}
%description %_description


%package -n     python3-gast
Summary:        %{summary}

%description -n python3-gast %_description

%package     -n python3-gast-doc
Summary:        Doc files for python3-gast
Requires:       python3-gast = %{EVR}

%description -n python3-gast-doc
Doc files for python3-gast

%prep
%autosetup -p1 -n gast-%{version}

# https://github.com/serge-sans-paille/gast/pull/52
sed -i -e 's/ --pep8//' -e 's/pytest-pep8/pytest/' tox.ini


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files gast


%check
%tox


%files -n python3-gast -f %{pyproject_files}
%license LICENSE

%files -n python3-gast-doc
%doc README.rst


%changelog
* Wed Jun 14 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.4.0-1
- init from upstream
